No actualices tu web a WordPress 5.0

sin haber hecho algunas comprobaciones previas.

WordPress 5.0 marca un antes y después en la experiencia de edición por la inclusión del nuevo editor Gutenberg. Odiado más que amado pero que va a marcar los próximos años de WordPress.

Gutenberg tiene muchas cosas positivas pero también va a cambiar radicalmente la forma en la que se editan los contenidos en WordPress. Esto va a hacer que cientos de plugins y temas dejen de funcionar correctamente o dejen de funcionar del todo. Y para evitar que a ti te pase eso con tu web, debes hacer algunas comprobaciones previas antes de lanzarte a dar al botón de actualizar.

WordPress Classic Editor

Lo primero y más importante: Existe un editor clásico (“Classic Editor“) que va a seguir actualizándose hasta el 31 de diciembre de 2021. Por tanto hay tres años en los cuales no estaremos obligados a cambiar a Gutenberg.

Lo más interesante es que el plugin para seguir manteniendo el editor clásico ahora mismo tiene más de 500.000 descargas (desde noviembre de 2017; pero casi todas de octubre de 2018) y una valoración media de 5 estrellas:

WordPress Classic Editor plugin

WordPress Classic Editor plugin: Descargas

Mientras que Gutenberg tiene más de 600.000 descargas (desde junio de 2017); lo cual solo son unas pocas más que el editor clásico y una valoración media de 2,5 estrellas.

WordPress Gutenberg plugin

Si no tienes claro si tu tema y los plugins que usan soporten Gutenberg y no te quieres arriesgar: Instala el CLASSIC EDITOR y tendrás 3 años para ir viendo si todo lo que usas es compatible.

Disable Gutenberg

Además del plugin oficial “CLASSIC EDITOR”, exite un plugin de Jeff Star llamado “Disable Gutenberg” (lanzado en mayo de 2018) que tiene muchas más opciones que el CLASSIC EDITOR y que nosotros utilizamos en bastantes webs porque permite ser mucho más selectivo. Mientras que el Classic Editor deshabilita completamente GUTENBERG, con DISABLE GUTENBERG podremos:

  • Desactivar Gutenberg completamente (para todos los tipos de posts)
  • Desactivar Gutenberg para cualquier tipo de post
  • Desactivar Gutenberg para cualquier rol de usuario
  • Desactivar Gutenberg para cualquier tema
  • Desactivar Gutenberg para cualquier página o post específico (por ID)
  • Desactivar el aviso de Gutenberg para instalarlo en la administración de WordPress.
  • Ocultar Gutenberg del menú.

¿Por qué no actualizar y ver qué pasa?

¿Y por qué no podemos actualizar y ver qué pasa? ¿No se supone que llevamos desde hace año y medio con el tema de Gutenberg y todos los temas y plugins deberían estar preparados para su llegada?

Si solo se usan temas muy extendidos (Astra, Avada, Divi, etc) no habrá problemas porque ellos están en constante desarrollo y muy pendientes de Gutenberg. Lo mismo pasa con los plugins muy extendidos (WPML, ELEMENTOR, etc). Pero por otro lado hay muchos desarrolladores que hace tiempo que no actualizan sus plugins y temas y están aprovechando este cambio a Gutenberg para vender temas nuevos o nuevos plugins desarrollados sobre el código antiguo pero que si que cumplen con Gutenberg.

Por tanto: Lo primero instalar el CLASSIC EDITOR o el DISABLE GUTENBERG. Pero ojo, solo uno de los dos. No los dos.

Y acto seguido hay que actualizar todos los plugins y temas. Por ejemplo WooCommerce si no está en la versión 3.5.x o superior no funcionará con WordPress 5.0.

Luego hacer una copia de seguridad del WordPress.

Y ver que pasa al actualizar. Si todo deja de funcionar, entonces activamos rápidamente el CLASSIC EDITOR o DISABLE GUTENBERG.

Si no estás seguro. No actualices. Ponlo en un manos de un profesional de WordPress.

¿Y si no actualizo a WordPress 5.0?

Mientras se mantenga la versión 4.9.x de WordPress podemos dejar pasar algo de tiempo hasta actualizar. Pero al final será necesario para estar a la última en parches de seguridad. Y hasta el 31 de diciembre de 2021 se puede utilizar el CLASSIC EDITOR por lo que no debería de haber ningún problema.

 

Veremos a ver cuanta gente nos llega en el momento de que lancen WordPress 5.0 porque le ha dejado de funcionar su web…

De momento la fecha de lanzamiento de WordPress 5.0 es el 19 de noviembre de 2018, aunque nosotros deseamos que sea en enero (el 22, tal y como se propuso), una vez pasadas las navidades. Hoy (9 de noviembre) acaban de retrasar la fecha al 27 de noviembre de 2018.

Hay dos posts sobre el tema que os recomendamos leer y seguir: Calls to Delay WordPress 5.0 Increase, Developers Cite Usability Concerns and Numerous Bugs in Gutenberg y WordPress 5.0 needs a different timeline.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.